function setupChart(...cumuls) {
  const chart = Highcharts.chart('recap-xp-container', {
    chart: {
      backgroundColor: '#000',
    },
    title: {
      text: '',
      color: '#55f5f5',
    },
    series: cumuls.map(cumul => ({
      // color: '#55f5f5',
      name: cumul.name,
      data: cumul.data,
    })),
  });
}

document.addEventListener('DOMContentLoaded', async function () {
  ajax({
    method: "GET",
    url: "/api/pex/v1/recap",
    body: null,
    headers: { Accept: "application/json" },
    on_success: (body) => {
      const json_output = JSON.parse(body);
      setupChart(...json_output.pex_tables);
    },
  });
});
